# Create an order You can use this operation to create subscriptions and make changes to existing subscriptions. You can also use this operation to create order line items. Note that the following limitations apply to this operation: Up to 50 subscriptions are allowed in a single call. Up to 100 order line items are allowed in an order. Up to 1000 orders are allowed on a subscription. Endpoint: POST /orders Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, order_number, order_date, state, category, description, scheduled_date, scheduled_date_policy, line_items, subscriptions Example: ["id,created_time"] - `order_actions.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values type, action_id, sequence, start_on, subscription_plans, renew, terms, cancel, pause, resume, order Example: ["id,created_time"] - `subscriptions.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, subscription_number, state, account_id, invoice_owner_account_id, auto_renew, version, initial_term, current_term, renewal_term, start_date, end_date, description, contract_effective, service_activation, customer_acceptance, invoice_separately, latest_version, payment_terms, billing_document_settings, bill_to_id, sold_to_id, contracted_mrr, currency, cancel_reason, last_booking_date, actions Example: ["id,created_time"] - `line_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, total, subtotal, quantity_fulfilled, quantity_pending_fulfillment, unit_of_measure, accounting_code, adjustment_liability_account, unit_amount, target_date, billing_rule, contract_asset_account, contract_liability_account, description, discount_total, revenue, discount_unit_amount, discount_percent, category, name, item_number, type, list_price, list_unit_price, original_order_date, original_order_id, original_order_line_item_id, original_order_line_item_number, original_order_number, product_code, price_id, purchase_order_number, quantity, quantity_available_for_return, related_subscription_number, requires_fulfillment, sold_to_id, original_sold_to_id, tax_code, tax_inclusive, end_date, start_date, unbilled_receivables_account, state, order_id Example: ["id,created_time"] - `subscription_plans.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, name, plan_id, subscription_id, product_id, subscription_plan_number, subscription_items Example: ["id,created_time"] - `subscription_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, charge_model, charge_type, tiers, subscription_item_number, name, description, charged_through_date, recurring, price_id, start_event, tax_code, tax_inclusive, unit_of_measure, quantity, price_base_interval, overage, subscription_plan_id, tiers_mode, processed_through_date, active, state, unit_amount, amount, discount_amount, discount_percent, price_change_percentage, price_change_option Example: ["id,created_time"] - `invoice_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, amount, booking_reference, applied_to_item_id, price_id, discount_item, deferred_revenue_account, description, invoice_id, sku, name, purchase_order_number, quantity, recognized_revenue_account, remaining_balance, revenue_recognition_rule_name, accounting_code, service_end, service_start, accounts_receivable_account, subscription_id, subscription_item_id, tax, tax_code, tax_inclusive, unit_amount, unit_of_measure, document_item_date Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `order.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, order_number, order_date, state, category, description, scheduled_date, scheduled_date_policy, line_items, subscriptions Example: ["id,created_time"] ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. ## Request fields (application/json): - `category` (string) Category of the order to indicate a product sale or return. Default value is sale. Enum: "sale", "return" - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `account_id` (string) Identifier of the account. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account_data` (object) The information of the new account that owns the subscription. The subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_id. - `account_data.billing_document_settings` (object) Billing document settings for an account - `account_data.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `account_data.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `account_data.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `account_data.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `account_data.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `account_data.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `account_data.batch` (string) The identifier of a bill run batch. - `account_data.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `account_data.bill_to` (object, required) Customer billing address. - `account_data.bill_to.address` (object) Container for the address informtion. - `account_data.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `account_data.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `account_data.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `account_data.bill_to.address.state` (string) State or providence Example: "GA" - `account_data.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `account_data.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `account_data.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `account_data.bill_to.first_name` (string, required) Customer first name. Example: "Amy" - `account_data.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `account_data.bill_to.last_name` (string, required) Customer last name. Example: "Lawrence" - `account_data.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `account_data.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `account_data.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `account_data.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `account_data.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `account_data.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `account_data.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `account_data.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `account_data.bill_to.fax` (string) The contact's fax number. - `account_data.sold_to` (object) Customer address used for calculating tax. - `account_data.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `account_data.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `account_data.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `account_data.name` (string, required) The name of the customer account. Example: "test account" - `account_data.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `account_data.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `account_data.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `account_data.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `account_data.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `account_data.tax_certificate` (object) The tax certificate information. - `account_data.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `account_data.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `account_data.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `account_data.tax_certificate.description` (string) Description of the tax exemption certificate. - `account_data.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `account_data.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `account_data.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `account_data.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `account_data.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `account_data.tax_identifier` (object) An object that contains the VAT Identification number. - `account_data.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `account_data.currency` (string, required) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `account_data.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `account_data.payment_method` (object) A new payment method for the account. Note that the Quickstart API does not support the creating payment methods through the Universal Payment Connector (UPC). - `account_data.payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `account_data.payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `account_data.payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account_data.payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `account_data.payment_method.billing_details.name` (string) Customer full name or business name. This field is optional and available only when the payment method type is autogiro_debit, bacs_debit, au_becs_debit,nz_becs_debit, betalings_debit, pad_debit, or sepa_debit. Example: "Amy Lawrence" - `account_data.payment_method.billing_details.address` (object) Address information used in billing details. - `account_data.payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `account_data.payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `account_data.payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `account_data.payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `account_data.payment_method.device_session_id` (string) Identifier of the device browser session. Example: "2cadffe03" - `account_data.payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `account_data.payment_method.bank_identification_number` (string) The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method. Example: "123456" - `account_data.payment_method.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora's [Payment Pages 2.0](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/LA_Hosted_Payment_Pages/B_Payment_Pages_2.0) instead of interacting with this API directly. - `account_data.payment_method.card.card_number` (string, required) The card number, as a string without any separators. Example: "4001100010112042" - `account_data.payment_method.card.brand` (string, required) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `account_data.payment_method.card.expiry_month` (number, required) One or two digit expiration month (1-12) of the credit card. Example: 10 - `account_data.payment_method.card.expiry_year` (number, required) Two- or four-digit number representing the card's expiration year. Example: 2024 - `account_data.payment_method.card.security_code` (string) Card security code. It is highly recommended to always include this value. Example: "111" - `account_data.payment_method.card.mandate` (object) A mandate is a record of the permission a customer has given you to debit their payment method. This hash contains details about the mandate. - `account_data.payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `account_data.payment_method.card.mandate.reason` (string) Reason for the mandate. - `account_data.payment_method.card.mandate.verify` (boolean) Specifies if Zuora should verify this mandate. - `account_data.payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `account_data.payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `account_data.payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `account_data.payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `account_data.payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `account_data.payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `account_data.payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `account_data.payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `account_data.payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `account_data.payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `account_data.payment_method.sepa_debit.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `account_data.payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `account_data.payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account_data.payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `account_data.payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `account_data.payment_method.cc_ref.card` (object) - `account_data.payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account_data.payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `account_data.payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `account_data.payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account_data.payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `account_data.payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `account_data.payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `account_data.payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `account_data.payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `account_data.payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `account_data.payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `account_data.payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `account_data.payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `account_data.payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `account_data.payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `account_data.payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `account_data.payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `account_data.payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `account_data.payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `account_data.payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `account_data.payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `account_data.organization_label` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `order_date` (string) The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if the contract effective date field is skipped or its value is left as null. Example: "2022-01-01" - `order_number` (string) The order number of the new order. If not provided, system will auto-generate a number for this order. Note: Ensure that the order number does not contain a slash. - `line_items` (array) Order line items are non-subscription-based items created by an order, representing transactional charges such as one-time fees, physical goods, or professional service charges that are not sold as subscription services. By specifying this field, you can launch non-subscription and unified monetization business models in Zuora, in addition to subscription business models. - `line_items.unit_of_measure` (string) A configured unit of measure. This field is required for per-unit prices. - `line_items.unit_amount` (number) The unit amount of the price. Specify this field if you want to override the original price with a per-unit price. - `line_items.target_date` (string) The target date for the order line item to be picked up by bill run for billing. - `line_items.deferred_revenue_account` (string) An active accounting code in your Zuora chart of accounts. - `line_items.revenue` (object) Accounting configuration if you have Zuora Revenue enabled. - `line_items.revenue.exclude_item_billing_from_revenue_accounting` (boolean) If set to true, any associated billing document items are excluded from the revenue accounting. - `line_items.revenue.exclude_item_booking_from_revenue_accounting` (boolean) If set to true, any associated subscription items are excluded from the revenue accounting. - `line_items.discount_unit_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `line_items.discount_percent` (number) Discount percent. Specify this field if you offer a percentage-based discount. - `line_items.category` (string) The category for the order line item, to indicate a product sale or return. Enum: "sale", "return" - `line_items.state` (string) The state of an order line item. If you want to generate billing documents for order line items, you must set this field to sent_to_billing. For invoice preview, you do not need to set this field. Enum: "pending", "booked", "sent_to_billing", "complete", "canceled" - `line_items.type` (string, required) The type of the order line item. Enum: "product", "fee", "services" - `line_items.name` (string, required) The name of the order line item. - `line_items.item_number` (string) Human-readable identifier of the order item. It can be user-supplied. - `line_items.list_unit_price` (number) The list price per unit for the order line item. - `line_items.product_code` (string) The product code for the order line item. - `line_items.price_id` (string) Identifier of the price. - `line_items.purchase_order_number` (string) Used by customers to specify the Purchase Order Number provided by the buyer. - `line_items.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. - `line_items.recognized_revenue_account` (string) An active accounting code in your Zuora chart of accounts. - `line_items.revenue_recognition_rule_name` (string) The revenue recognition rule for the order line item. - `line_items.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `line_items.tax_code` (string) A tax code identifier. If a tax_code of a price is not provided when you create or update a price, Zuora will treat the charged amount as non-taxable. If this code is provide, Zuora considers that this price is taxable and the charged amount will be handled accordingly. - `line_items.tax_inclusive` (boolean) If this field is set to true, it indicates that amounts are inclusive of tax. - `line_items.start_date` (string) The date a transaction starts. The default value of this field is the order date. Example: "2022-01-01" - `line_items.end_date` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the start_date field. Example: "2022-01-01" - `line_items.related_subscription_number` (string) Relates an order line item to a subscription when you create the order line item. - `line_items.billing_rule` (string) The billing rule for the Order Line Item. Enum: "trigger_without_fulfillment", "trigger_on_fulfillment" - `processing_options` (object) Processing options for the invoice or payment. - `processing_options.document_date` (string) The date printed on billing documents. - `processing_options.target_date` (string) The target date for the order to be picked up by bill run for billing. - `processing_options.collection_method` (string) Specifies whether to just create an invoice, or to create an invoice and collect payment. Enum: "collect_payment", "create_invoice", "process_refund", "run_billing" - `processing_options.payment_method_id` (string) Payment method Id used to pay billing documents. - `processing_options.payment_gateway_id` (string) Identifier of the payment gateway Zuora will use to authorize the payments that are made with this payment method. Example: "8ad093d07ae636bb017ae97518762aa3" - `processing_options.draft_invoice` (boolean) - `processing_options.refund_reason_code` (string) - `processing_options.apply_credit` (boolean) Whether to automatically apply credit memos or unapplied payments, or both to an invoice. - `subscriptions` (array) Based on the intended order action, each item should include specific fields. For example, to create a new subscription for a new account, you must specify the account_data and subscription_plans fields at a minimum. - `subscriptions.account_number` (string) Identifier of the account that owns the subscription. Subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_data. - `subscriptions.account_id` (string) Identifier of the account that owns the subscription. Subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_data. - `subscriptions.invoice_owner_account_number` (string) Identifier of the account that owns the invoice associated with this subscription. - `subscriptions.auto_renew` (boolean) If true, the subscription automatically renews at the end of the current term. - `subscriptions.subscription_number` (string) Human-readable identifier of the subscription. If an existing subscription_number is supplied, the order will update that subscription. Meanwhile, if the specified subscription_number does not exist in the tenant, it will instead create a new one - `subscriptions.initial_term` (object) Initial term information for the subscription. - `subscriptions.initial_term.interval_count` (integer) The number of intervals in a term. For example, interval=year and interval_count=1 represents a 1 year term. - `subscriptions.initial_term.interval` (string) Unit in which term duration is defined. One of day, week, month or year. Enum: "day", "week", "month", "year" - `subscriptions.initial_term.start_date` (string) Date when the subscription term starts. Example: "2020-01-01" - `subscriptions.initial_term.type` (string) Type of the subscription. Can be either termed or evergreen. Enum: "evergreen", "termed" - `subscriptions.initial_term.end_date` (string) Date when the subscription term ends. Example: "2023-01-01" - `subscriptions.renewal_term` (object) Renewal term information for the subscription - `subscriptions.start_on` (object) Container for the contract effective, service activation, and customer acceptance dates of the order action or subscription. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_activation subscription are created. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_acceptance subscription are created. At the same time, if the service activation date field is also required and not set, a pending order and/or a pending_activation subscription are created instead. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms - `subscriptions.start_on.contract_effective` (string, required) Effective contract date for this subscription, in the yyyy-mm-dd format. Example: "2023-06-01" - `subscriptions.start_on.service_activation` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as the yyyy-mm-dd format. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_activation subscription are created. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms Example: "2023-06-01" - `subscriptions.start_on.customer_acceptance` (string) The date on which the services or products within a subscription have been accepted by the customer, in the yyyy-mm-dd format. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_acceptance subscription are created. At the same time, if the service activation date field is also required and not set, a pending order and/or a pending_activation subscription are created instead. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms Example: "2023-06-01" - `subscriptions.description` (string) Description of the subscription. Often useful for displaying to users. - `subscriptions.invoice_separately` (boolean) Separates a single subscription from other subscriptions and creates an invoice for this subscription. If the value is true, the subscription is billed separately from other subscriptions. If the value is false, the subscription is included with other subscriptions in the account invoice. - `subscriptions.subscription_plans` (array) The plans associated with the new subscription. - `subscriptions.subscription_plans.plan_id` (string) Identifier of the plan associated with this subscription plan. Note: You can add up to 30 plan_id in a single call. - `subscriptions.subscription_plans.plan_number` (string) Human-readable identifier of the plan associated with this subscription plan. - `subscriptions.subscription_plans.prices` (array) Price information within the subscription plan. - `subscriptions.subscription_plans.prices.subscription_item_number` (string) Human-readable identifier of the subscription item. It can be user-supplied. - `subscriptions.subscription_plans.prices.description` (string) Description of the price. Often useful for displaying to users. - `subscriptions.subscription_plans.prices.recurring` (object) The recurring components of a price such as interval and usage. - `subscriptions.subscription_plans.prices.recurring.recurring_on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `subscriptions.subscription_plans.prices.recurring.usage` (boolean) Indicates that this is a usage price. - `subscriptions.subscription_plans.prices.recurring.interval` (string) Specifies the billing frequency. One of week, month or year. Enum: "month", "year", "week", "term", "day" - `subscriptions.subscription_plans.prices.recurring.interval_count` (integer) The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and intervalCount=3 bills every 3 months. - `subscriptions.subscription_plans.prices.recurring.alignment_behavior` (string) Specifies how to align billing for recurring (subscription) products that start on different days. Enum: "subscription_start", "term_start", "term_end", "none" - `subscriptions.subscription_plans.prices.recurring.timing` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. Enum: "in_advance", "in_arrears" - `subscriptions.subscription_plans.prices.recurring.duration_interval` (string) Specifies the duration frequency. One of day, week, month or year. Enum: "day", "week", "month", "year", "subscription_term", "billing_period" - `subscriptions.subscription_plans.prices.recurring.duration_interval_count` (integer) Specifies how long a customer shall be charged if this is less than the duration of the subscription - `subscriptions.subscription_plans.prices.recurring.rating_group` (string) A rating group based on which usage records are rated. Only applicable to usage prices. Enum: "billing_period", "usage_start_date", "usage_record", "usage_upload", "custom_group" - `subscriptions.subscription_plans.prices.recurring.on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `subscriptions.subscription_plans.prices.start_event` (string) Specifies when to start billing your customer. Enum: "contract_effective", "service_activation", "customer_acceptance", "specific_date" - `subscriptions.subscription_plans.prices.start_date` (string) The date when the subscription item starts - `subscriptions.subscription_plans.prices.end_date` (string) The date when the subscription item ends or ended. - `subscriptions.subscription_plans.prices.tiers_mode` (string) Specifies the mode of tiering. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `subscriptions.subscription_plans.prices.tiers` (array) Information of all tiers if the price is a tiered price. - `subscriptions.subscription_plans.prices.tiers.up_to` (number) Specifies the upper bound of the tier. The lower bound of a tier is the upper bound of the previous tier plus one. - `subscriptions.subscription_plans.prices.tiers.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price. - `subscriptions.subscription_plans.prices.quantity` (number) Quantity of the product to which your customers subscribe. - `subscriptions.subscription_plans.prices.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price - `subscriptions.subscription_plans.prices.discount_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `subscriptions.subscription_plans.prices.price_base_interval` (string) Specifies the base interval of the price the subscriber is subscribed to. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `subscriptions.subscription_plans.prices.overage` (object) An object defining how overage charges are calculated. - `subscriptions.subscription_plans.prices.overage.interval_count` (integer) Specifies the number of intervals used to calculate smoothed overage charges. - `subscriptions.subscription_plans.prices.overage.type` (string) Represents the overage type: one of rolling_window or rollover. Enum: "rolling_window", "rollover" - `subscriptions.subscription_plans.prices.overage.included_units` (number) Specifies the included units to which overage charges do not apply. - `subscriptions.subscription_plans.prices.overage.credit_unused_units` (boolean) Specifies whether or not to credit unused units. - `subscriptions.subscription_plans.prices.overage.apply_at_end_of_smoothing_period` (boolean) Indicates if the overage price is calculated at the end of the smoothing period. - `subscriptions.subscription_plans.prices.unique_token` (string) Unique identifier for the price. This identifier enables you to refer to the price before the price has an internal identifier in Zuora. - `subscriptions.subscription_plans.prices.apply_discount_to` (array) Any combination of one-time, recurring, and usage. Enum: "one_time", "recurring", "usage" - `subscriptions.subscription_plans.prices.discount_level` (string) Specifies at what level a discount should be applied: one of account, subscription or plan. Enum: "account", "subscription", "plan" - `subscriptions.subscription_plans.prices.custom_field_per_unit_rate` (string) Name of the custom field that will be used to set a per unit rate under the Pre-Rated Per Unit charge model - `subscriptions.subscription_plans.prices.custom_field_total_amount` (string) Name of the custom field that will be used to set a total amount under the Pre-Rated charge model - `subscriptions.subscription_plans.prices.price_change_percentage` (number) The percentage to increase or decrease the price of a termed subscription's renewal. - `subscriptions.subscription_plans.prices.price_change_option` (string) Applies an automatic price change when a termed subscription is renewed. Enum: "latest_catalog_pricing", "percentage", "none" - `subscriptions.subscription_plans.prices.prepayment` (object) The prepayment information. - `subscriptions.subscription_plans.prices.prepayment.quantity` (number) The number of units included in a prepayment charge. - `subscriptions.subscription_plans.prices.prepayment.validity_period` (string) The period in which the prepayment units are valid to use as defined in a prepayment charge. Enum: "subscription_term", "annual", "semi_annual", "quarter", "month" - `subscriptions.subscription_plans.prices.drawdown` (object) The drawdown information. - `subscriptions.subscription_plans.prices.drawdown.conversion_rate` (number) The conversion rate between usage unit of measure (UOM) and drawdown unit of measure for a drawdown charge. Note: Must be a positive number (>0). Must be 1 when usage UOM and drawdown UOM are the same. If both conversion_rate and unit_of_measure for the drawdown are empty, the system will set default values respectively: conversion_rate: 1 unit_of_measure: Same as the usage UOM of this drawdown charge. The conversion_rate and unit_of_measure fields need to have values or be empty at the same time. - `subscriptions.subscription_plans.unique_token` (string) Unique identifier for the subscription plan. This identifier enables you to refer to the subscription plan before the subscription plan has an internal identifier in Zuora. - `subscriptions.add_subscription_plans` (array) Specify this field if you want to add one or multiple subscription plans to this subscription. - `subscriptions.add_subscription_plans.subscription_plan` (object, required) Subscription plan information. - `subscriptions.add_subscription_plans.change_reason` (string) A brief description of the reason for this change. - `subscriptions.remove_subscription_plans` (array) Specify this field if you want to remove one or multiple subscription plans from this subscription. - `subscriptions.remove_subscription_plans.subscription_plan_id` (string) Identifier of the subscription plan. - `subscriptions.update_subscription_plans` (array) - `subscriptions.update_subscription_plans.subscription_plan` (object, required) Subscription Plan information. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items` (array) Subscription item information. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.id` (string) Identifier of the subscription item. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.subscription_item_number` (string) Human-readable identifier of the subscription. It can be user-supplied. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.apply_discount_to` (array) Any combination of one-time, recurring, or usage prices. Enum: "one_time", "recurring", "usage" - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.discount_level` (string) Specifies at what level a discount should be applied. Enum: "account", "subscription", "plan" - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.discount_percent` (number) Discount percent. Specify this field if you want to override with a discount-based discount price. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.unit_amount` (number) The unit amount of the price. Specify this field if you want to override the orignial price with a per-unit price. - `subscriptions.update_subscription_plans.subscription_plan.subscription_items.tiers` (array) Information of all tiers if you want to override the original price with a tiered price. - `subscriptions.update_subscription_plans.start_date` (string) The start date from which this order action becomes effective. Example: "2022-01-01" - `subscriptions.renew` (object) Specify this field when renewing a subscription. - `subscriptions.renewals` (array) Specify this field when renewing a subscription. - `subscriptions.cancel` (object) - `subscriptions.cancel.cancel_date` (string) Date on which the subscription is canceled. - `subscriptions.cancel.cancel_at` (string) The date on which the subscription is canceled. Can be either the end of the subscription term or the end of the billing period. Enum: "invoice_period_end", "subscription_term_end" - `subscriptions.cancel.refund_amount` (number) Amount to be refunded - `subscriptions.cancel.write_off` (boolean) Indicates whether to write off the outstanding balance on the invoice after canceling the subscription. - `subscriptions.cancel.write_off_behavior` (object) The financial information of the credit memo items generated to write off the invoice balance. - `subscriptions.cancel.write_off_behavior.on_account_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `subscriptions.cancel.write_off_behavior.deferred_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `subscriptions.cancel.write_off_behavior.recognized_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `subscriptions.cancel.write_off_behavior.revenue_recognition_rule_name` (string) Name of the revenue recognition rule that you want to apply. - `subscriptions.pause` (object,null) - `subscriptions.pause.pause_date` (string) Date on which the subscription is paused. - `subscriptions.pause.pause_at` (string) Can be either the end of the current billing period or a specific date. Enum: "invoice_period_end" - `subscriptions.pause.pause_interval_count` (number) The number of intervals in a duration where the subscription is paused. For example, pause_interval=year and pause_interval_count=1 represents a 1-year pause. - `subscriptions.pause.pause_interval` (string) Unit in which the pause duration is defined. One of day, week, month or year. Enum: "month", "day", "year", "week" - `subscriptions.pause.resume_behavior` (object) Behavior of the paused subscription when it resumes. - `subscriptions.pause.resume_behavior.extend_term` (boolean) If this field is set to true, the subscription term is extended by the length of time the subscription is paused. - `subscriptions.pause.resume_behavior.resume_date` (string) Date on which the paused subscription is resumed. - `subscriptions.pause.resume_behavior.resume_at` (string) You can use this field to resume a paused subscription from the pause date. Enum: "pause_date" - `subscriptions.resume` (object) Behavior of the paused subscription when it resumes. - `subscriptions.replace_subscription_plans` (array) Specify this field if you want to replace one or multiple subscription plans to this subscription. Note: This field is currently not supported if you have Billing - Revenue Integration enabled. When Billing - Revenue Integration is enabled, the replace subscription plan type of order action will no longer be applicable in Zuora Billing. - `subscriptions.replace_subscription_plans.subscription_plan_id` (string) Identifier of the subscription plan. Only provide one of previous_plan_id or subscription_plan_id in your request, not both. - `subscriptions.replace_subscription_plans.previous_plan_id` (string) Identifier of the plan to be removed. Only provide one of previous_plan_id or subscription_plan_id in your request, not both. - `subscriptions.replace_subscription_plans.replace_at` (string) The default value for the replace_at field is as follows: If the subscription plan change (from old to new) is an upgrade, the replace_at is now by default. If the subscription change (from old to new) is a downgrade, the replace_at is end_of_billing_period by default. Otherwise, the replace_at is specific_date by default. Notes: When setting this field to end_of_billing_period, you cannot set the billing start dates for the subscription as the system will automatically set the start dates to the end of billing period, and you cannot set the following billing trigger date settings to Yes: Require Customer Acceptance of Orders Require Service Activation of Orders When setting this field to specific_date, you must also specify a date for the contract_effective date in the start_on field. Enum: "now", "end_of_billing_period", "specific_date" - `subscriptions.replace_subscription_plans.replacement_type` (string) Enum: "upgrade", "downgrade", "crossgrade", "other" - `subscriptions.terms` (object) Term information of the subscription. - `subscriptions.terms.current_term` (object) Current term information for the subscription. - `subscriptions.terms.renewal_term` (object) Renewal term information for the subscription. - `subscriptions.terms.bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `subscriptions.terms.payment_terms` (string,null) The name of payment term associated with the invoice. - `subscriptions.terms.billing_document_settings` (object) The billing document settings for the customer. - `subscriptions.terms.billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `subscriptions.terms.billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `subscriptions.terms.sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `subscriptions.currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `scheduling_options` (object) - `scheduling_options.scheduled_date` (string) The date when the order is scheduled to be processed. - `state` (string) The status of the order. Enum: "pending", "complete", "draft", "canceled", "scheduled", "executing", "failed" ## Response 200 fields (application/json): - `id` (string) Unique identifier for the object. - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `order_number` (string) The order number of the new order. If not provided, system will auto-generate a number for this order. Note: Ensure that the order number does not contain a slash. - `order_date` (string) The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if the contract effective date field is skipped or its value is left as null. Example: "2022-01-01" - `description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `category` (string) Category of the order to indicate a product sale or return. Default value is sale. Enum: "sale", "return" - `account_id` (string) Identifier of the account associated with this subscription. - `account` (object) Information of the new account associated with the subscription. - `account.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `account.billing_document_settings` (object) Billing document settings for an account - `account.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `account.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `account.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `account.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `account.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `account.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `account.batch` (string) The identifier of a bill run batch. - `account.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `account.bill_to` (object) Customer billing address. - `account.bill_to.address` (object) Container for the address informtion. - `account.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `account.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `account.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `account.bill_to.address.state` (string) State or providence Example: "GA" - `account.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `account.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `account.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `account.bill_to.first_name` (string) Customer first name. Example: "Amy" - `account.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `account.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `account.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `account.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `account.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `account.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `account.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `account.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `account.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `account.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `account.bill_to.fax` (string) The contact's fax number. - `account.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to` (object) Customer address used for calculating tax. - `account.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `account.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `account.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `account.name` (string) The name of the customer account. Example: "test account" - `account.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `account.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `account.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `account.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `account.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `account.tax_certificate` (object) The tax certificate information. - `account.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `account.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `account.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `account.tax_certificate.description` (string) Description of the tax exemption certificate. - `account.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `account.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `account.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `account.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `account.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `account.tax_identifier` (object) An object that contains the VAT Identification number. - `account.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `account.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `account.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `account.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `account.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `account.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `account.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `account.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `account.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `account.default_payment_method` (object) The default payment method for the customer. - `account.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `account.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `account.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.default_payment_method.account` (object) The customer account associated with this payment method. - `account.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `account.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `account.default_payment_method.billing_details.address` (object) Address information used in billing details. - `account.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `account.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `account.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `account.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `account.default_payment_method.device_session_id` (string) - `account.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `account.default_payment_method.bank_identification_number` (string) - `account.default_payment_method.card` (object) Credit card information. - `account.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `account.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `account.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `account.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `account.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `account.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `account.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `account.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `account.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `account.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `account.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `account.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `account.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `account.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `account.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `account.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `account.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `account.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `account.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `account.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `account.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `account.default_payment_method.cc_ref.card` (object) - `account.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `account.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `account.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `account.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `account.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `account.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `account.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `account.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `account.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `account.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `account.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `account.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `account.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `account.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `account.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `account.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `account.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `account.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `account.default_payment_method.auto_generated` (boolean) - `account.default_payment_method.use_default_retry_rule` (boolean) - `account.default_payment_method.existing_mandate` (boolean) - `account.default_payment_method.last_failed_sale_transaction_time` (string) - `account.default_payment_method.last_transaction_time` (string) - `account.default_payment_method.last_transaction_status` (string) - `account.default_payment_method.number_of_consecutive_failures` (integer) - `account.default_payment_method.total_number_of_processed_payments` (integer) - `account.default_payment_method.total_number_of_error_payments` (integer) - `account.billing_documents` (object) List of customer billing documents. - `account.billing_documents.next_page` (string,null) - `account.billing_documents.data` (array) - `account.billing_documents.data.account_id` (string) Identifier of the account that owns the billing document. - `account.billing_documents.data.account_number` (string) Human-readable identifier of the account that owns the billing document. - `account.billing_documents.data.description` (string) An arbitrary string associated with the object. Often useful for displaying to users. - `account.billing_documents.data.due_date` (string) The date on which payment for the billing document is due. Example: "2023-01-01" - `account.billing_documents.data.document_date` (string) The date when the billing document takes effect. Example: "2023-01-01" - `account.billing_documents.data.reason_code` (string) Reason for issuing this billing document. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.invoice_id` (string) The identifier of the invoice billing document from which this credit memo or debit memo billing document is created. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.transfer_to_accounting` (boolean) Whether to transfer to an external accounting system. - `account.billing_documents.data.exclude_from_auto_apply_rules` (boolean) Indicates whether to exclude this credit memo billing document from the rule of automatically applying it to invoices. This field is applicable only if the type field is set to credit_memo. - `account.billing_documents.data.pay` (boolean) Indicates whether the billing document is automatically picked up for processing in the corresponding payment run. - `account.billing_documents.data.type` (string) The type of billing document. Can be one of the credit memo, debit memo, or invoice. Enum: "credit_memo", "debit_memo", "invoice" - `account.billing_documents.data.billing_document_number` (string) A human-readable identifier for the billing document; may be user-supplied. - `account.billing_documents.data.amount_refunded` (number) The amount of this billing document item refunded. - `account.billing_documents.data.state_transitions` (object) - `account.billing_documents.data.state_transitions.posted_time` (string) - `account.billing_documents.data.state_transitions.canceled_time` (string) - `account.billing_documents.data.posted_by_id` (string) Identifier of the Zuora user who posted the billing document. - `account.billing_documents.data.state` (string) The status of the billing document. Enum: "draft", "open", "uncollectible", "failed" - `account.billing_documents.data.account` (object) The account that owns the billing document. EXPANDABLE - `account.billing_documents.data.items` (object) List of billing document items. - `account.billing_documents.data.total` (number) The total amount. - `account.billing_documents.data.subtotal` (number) The total amount exclusive of tax. - `account.billing_documents.data.tax` (number) The total tax amount. - `account.billing_documents.data.remaining_balance` (number) The total balance remaining. - `account.billing_documents.data.amount_paid` (number) The total amount paid. - `account.billing_documents.data.paid` (boolean) Whether payment was successfully collected for this invoice. An invoice can be paid with a payment or a credit memo. - `account.billing_documents.data.past_due` (boolean) Whether payment is past due. - `account.billing_documents.data.balance` (number) The total balance remaining. This field is deprecated. Use remaining_balance field. - `account.payments` (object) List of customer payments. - `account.payment_methods` (object) List of customer payment methods. - `account.subscriptions` (object) List of customer subscriptions. - `account.usage_records` (object) List of customer usages. - `account.credit_memos` (object) List of credit memo - `account.debit_memos` (object) List of debit memo - `account.invoices` (object) List of invoices - `line_items` (object) - `ar_transactions` (object) - `ar_transactions.credit_memo_numbers` (array) The numbers of related credit memos. - `ar_transactions.credit_memos` (object) The related credit memos. - `ar_transactions.credit_memos.account_id` (string) Identifier of the account that owns the credit memo. Either this field or account_number is required when creating credit memos from a price(charge in the v1 API). - `ar_transactions.credit_memos.document_date` (string) The date when the credit memo takes effect. Example: "2023-01-01" - `ar_transactions.credit_memos.reason_code` (string) Reason for issuing this credit memo - `ar_transactions.credit_memos.invoice_id` (string) The identifier of the invoice billing document from which this credit memo is created. Required when creating credit memos from an invoice. - `ar_transactions.credit_memos.exclude_from_auto_apply_rules` (boolean) Indicates whether to exclude this credit memo from the rule of automatically applying it to invoices. - `ar_transactions.credit_memos.currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled and are creating a credit memo from a charge. - `ar_transactions.credit_memos.credit_memo_number` (string) A human-readable identifier for the billing document; may be user-supplied. - `ar_transactions.credit_memos.amount_refunded` (number) The amount this billing document refunded. - `ar_transactions.credit_memos.items` (object) List of billing document items. EXPANDABLE - `ar_transactions.credit_memos.applied_to` (array) - `ar_transactions.credit_memos.applied_to.billing_document_id` (string) Identifier of an invoice or a debit memo. - `ar_transactions.credit_memos.applied_to.id` (string) Identifier of the credit memo application - `ar_transactions.credit_memos.applied_to.amount` (number) The amount of the payment that is applied to the specific billing document item or taxation item. - `ar_transactions.credit_memos.applied_to.billing_document` (object) The related billing document. - `ar_transactions.credit_memos.applied_to.billing_document_type` (string) The type of billing document. Can be one of the debit memo or invoice. Enum: "debit_memo", "invoice" - `ar_transactions.credit_memos.bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `ar_transactions.credit_memos.bill_to` (object) The billing address for the customer. - `ar_transactions.credit_memos.billing_document_settings` (object) The billing document settings for the customer. - `ar_transactions.credit_memos.billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `ar_transactions.credit_memos.billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `ar_transactions.invoice_numbers` (array) The numbers of related invoices - `ar_transactions.invoices` (object) The related invoices. - `ar_transactions.invoices.account_id` (string) Identifier of the account that owns the invoice. - `ar_transactions.invoices.due_date` (string) The date on which payment for the invoice is due. Example: "2023-01-01" - `ar_transactions.invoices.document_date` (string) The date when the invoice takes effect. Example: "2023-01-01" - `ar_transactions.invoices.amount_paid` (number) The amount paid for the invoice. Example: 1496.4 - `ar_transactions.invoices.pay` (boolean) Indicates whether the invoice is automatically picked up for processing in the corresponding payment run. - `ar_transactions.invoices.currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `ar_transactions.invoices.invoice_number` (string) A human-readable identifier for the invoice; may be user-supplied. - `ar_transactions.invoices.posted_by_id` (string) Identifier of the Zuora user who posted the invoice. - `ar_transactions.invoices.state` (string) The status of the invoice. Enum: "draft", "posted", "open", "canceled", "failed" - `ar_transactions.invoices.account` (object) The account that owns the invoice. EXPANDABLE - `ar_transactions.invoices.items` (object) List of invoice items. - `ar_transactions.invoices.payment_terms` (string,null) The name of payment term associated with the invoice. - `ar_transactions.invoices.sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `ar_transactions.invoices.sold_to` (object) The selling address for the customer. - `ar_transactions.refunds` (array) The related refunds. - `ar_transactions.refunds.number` (string) The number of the refund. - `ar_transactions.refunds.invoice_numbers` (array) The numbers of the related invoices. - `ar_transactions.refunds.state` (object) The states of the refunds. - `ar_transactions.refunds.state.succeeded` (string) - `ar_transactions.refunds.state.failed` (string) - `ar_transactions.refunds.refunds` (object) The related invoices. - `ar_transactions.refunds.refunds.id` (string) - `ar_transactions.refunds.refunds.amount` (number) Refund amount. - `ar_transactions.refunds.refunds.gateway_options` (object) Example: {"key":"value"} - `ar_transactions.refunds.refunds.refund_date` (string) The date when the refund takes effect. - `ar_transactions.refunds.refunds.refund_method_type` (string) Enum: "cash", "check", "wire_transfer", "pay_pal", "credit_card", "cc_ref", "ach_debit", "debit_card", "other" - `ar_transactions.refunds.refunds.payment_id` (string) Identifier for the payment, either payment_number or `payment_id. - `ar_transactions.refunds.refunds.reason_code` (string) User-provided reason for the refund. - `ar_transactions.refunds.refunds.statement_descriptor` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `ar_transactions.refunds.refunds.statement_descriptor_phone` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `ar_transactions.refunds.refunds.external` (boolean) If true, indicates that this refund is not handled by Zuora. - `ar_transactions.refunds.refunds.reference_id` (string) Transaction identifier returned by the payment gateway. You may use this field to reconcile refunds between your payment gateway and Zuora Payments. - `ar_transactions.refunds.refunds.second_reference_id` (string) A second transaction identifier returned by the payment gateway if there is an additional transaction for the refunds. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `ar_transactions.refunds.refunds.bank_account_account` (string) An active account in your Zuora Chart of Accounts. - `ar_transactions.refunds.refunds.on_account_account` (string) An active account in your Zuora Chart of Accounts. - `ar_transactions.refunds.refunds.unapplied_payment_account` (string) An active account in your Zuora Chart of Accounts. - `ar_transactions.refunds.refunds.payment_method_id` (string) Identifier of the payment method used to create this refund. - `ar_transactions.refunds.refunds.account_id` (string) Identifier of the customer this refund is for, if one exists. - `ar_transactions.refunds.refunds.account` (object) The account that owns the refund - `ar_transactions.refunds.refunds.gateway_id` (string) Identifier of the payment gateway that Zuora will use to authorize the payments that are made with this payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: The default payment gateway of the customer account that owns the payment method, if the payment method is associated with a customer account or the default payment gateway of your Zuora tenant. - `ar_transactions.refunds.refunds.comment` (string) Comments about the refund. - `ar_transactions.refunds.refunds.gateway_response` (string) Message returned by the payment gateway for this refund. - `ar_transactions.refunds.refunds.gateway_response_code` (string) Code returned by the payment gateway for this refund. - `ar_transactions.refunds.refunds.gateway_state` (string) The payment gateway state of the refund. Enum: "marked_for_submission", "submitted", "settled", "not_submitted", "failed" - `ar_transactions.refunds.refunds.payment_method` (object) Payment method information. - `ar_transactions.refunds.refunds.refund_number` (string) Human-readable identifier for this object; may be user-supplied. - `ar_transactions.refunds.refunds.state_transitions` (object) The timestamps at which the object's state was updated. - `ar_transactions.refunds.refunds.state_transitions.canceled_time` (string) The date and time (ISO 8601 UTC format) when the refund was canceled. - `ar_transactions.refunds.refunds.state_transitions.refunded_time` (string) - `ar_transactions.refunds.refunds.state` (string) The state of the refund. Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `ar_transactions.refunds.refunds.gateway_reconciliation_reason` (string) Gateway reconciliation reason. - `ar_transactions.refunds.refunds.gateway_reconciliation_status` (string) Gateway reconciliation state. - `ar_transactions.refunds.refunds.payout_id` (string) Identifier of the payout from the payment gateway. - `ar_transactions.payment` (object) - `ar_transactions.payment.reference_id` (string) Transaction identifier returned by the payment gateway. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `ar_transactions.payment.account_id` (string) Identifier of the customer account associated with this payment. - `ar_transactions.payment.account_number` (string) Human-readable identifier of the account associated with this payment. It can be user-supplied. - `ar_transactions.payment.amount` (number) The total amount of the payment. - `ar_transactions.payment.authorization_id` (string) Identifier of the authorization transaction from the payment gateway. - `ar_transactions.payment.payment_date` (string) The date and time when the payment takes effect. - `ar_transactions.payment.payment_method_id` (string) Identifier of the payment method used to create this payment. - `ar_transactions.payment.gateway_id` (string) Identifier of the payment gateway that Zuora will use to authorize this payment. - `ar_transactions.payment.gateway_order_id` (string) A merchant-specified natural key value that can be passed to the payment gateway when a payment is created. If not specified, the payment number will be passed in instead. - `ar_transactions.payment.external` (boolean) If true, indicates that this payment is not handled by Zuora. - `ar_transactions.payment.currency` (string) 3-letter ISO 4217 currency code. - `ar_transactions.payment.account` (object) The customer account associated with this payment. - `ar_transactions.payment.amount_applied` (number) The total amount applied. - `ar_transactions.payment.remaining_balance` (number) The total remaining balance. - `ar_transactions.payment.amount_refunded` (number) The total amount refunded. - `ar_transactions.payment.state` (string) The state of the payment. Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `ar_transactions.payment.payout_id` (string) Identifier of the payout associated with this payment. - `ar_transactions.payment.payment_number` (string) Human-readable identifier for this object; may be user-supplied. - `ar_transactions.payment.gateway_response_code` (string) Code returned by the payment gateway for this payment. - `ar_transactions.payment.gateway_response` (string) Message returned by the payment gateway for this payment. - `ar_transactions.payment.gateway_state` (string) The payment gateway state of the payment. Enum: "marked_for_submission", "submitted", "settled", "not_submitted", "failed" - `ar_transactions.payment.payment_schedule_items` (array) - `ar_transactions.payment.payment_schedule_items.account_id` (string) Unique identifier of the customer account the payment schedule belongs to. Example: "8ad093f27d6eee80017d6effd7a66759" - `ar_transactions.payment.payment_schedule_items.amount` (number) The amount to be collected by this payment schedule item. - `ar_transactions.payment.payment_schedule_items.balance` (number) The remaining balance of payment schedule item. - `ar_transactions.payment.payment_schedule_items.billing_document` (object) The billing document with which the payment schedule is associated. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `ar_transactions.payment.payment_schedule_items.billing_document.id` (string) Unique identifier of an invoice or debit memo billing document. - `ar_transactions.payment.payment_schedule_items.billing_document.type` (string) The type of billing document. The default is invoice. Enum: "invoice", "debit_memo" - `ar_transactions.payment.payment_schedule_items.cancellation_reason` (string) The reason for the cancellation of payment schedule item. - `ar_transactions.payment.payment_schedule_items.currency` (string) Currency of the payment schedule. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD" - `ar_transactions.payment.payment_schedule_items.payment_schedule_item_number` (string) Number of the payment schedule item. - `ar_transactions.payment.payment_schedule_items.payment_gateway_id` (string) ID of the payment gateway used to collect payments. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the customer account level, the default value will be the tenant's default payment gateway ID. This field will be ignored when items is specified. Example: "8ad093f27d6eee80017d6effd7a66759" - `ar_transactions.payment.payment_schedule_items.payment_method_id` (string) ID of the payment method. The default value is the account's default payment method ID. This field will be ignored when items is specified. Example: "8a95b1946b6aeac8718c32aab8c395f" - `ar_transactions.payment.payment_schedule_items.payment_option_id` (string) ID of the payment option. - `ar_transactions.payment.payment_schedule_items.payment_schedule_id` (string) ID of the payment schedule. - `ar_transactions.payment.payment_schedule_items.payment_schedule_number` (string) Number of the payment schedule. - `ar_transactions.payment.payment_schedule_items.payments` (array) - `ar_transactions.payment.payment_schedule_items.payments.id` (string) Unique identifier of the payment schedule item. - `ar_transactions.payment.payment_schedule_items.run_hour` (integer) At which hour in the day in the tenant's timezone this payment will be collected. Available values:[0,1,2,~,22,23]. If the time difference between your tenant’s timezone and the timezone where Zuora servers are located is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half an hour later than your scheduled time. The default value is 0. If the payment run_hour and scheduled_date are backdated, the system will collect the payment when the next run_hour occurs. - `ar_transactions.payment.payment_schedule_items.scheduled_date` (string) The scheduled date of collection. Example: "2022-01-01" - `ar_transactions.payment.payment_schedule_items.standalone` (boolean) Indicates whether the payments created by the payment schedule are standalone payments or not. When setting to true, standalone payments will be created. When setting to false, you can either specify a billing document, or not specifying any billing documents. In the later case, unapplied payments will be created. If set to null, standalone payments will be created. Note: This parameter is only available if standalone payments are enabled in your tenant. Do not include this parameter if standalone payment have not been enabled in your tenant. If standalone payments are enabled, the default value is true. - `ar_transactions.payment.payment_schedule_items.state` (string) The status of the payment schedule item. active: there are unprocessed payment schedule items. canceled: the payment schedule has been canceled. complete: the payment schedule is complete and all items have been processed. Enum: "pending", "canceled", "complete", "error" - `ar_transactions.payment.payment_schedule_items.error_message` (string) An error message indicating why payment collection failed for this payment schedule item. - `ar_transactions.payment.payment_schedule_items.payment` (object) List of customer payments. - `ar_transactions.payment.payment_schedule_items.payment_schedule` (object) Payment schedule record. - `ar_transactions.payment.payment_schedule_items.payment_schedule.account_number` (string) Account number of the customer account the payment schedule belongs to. - `ar_transactions.payment.payment_schedule_items.payment_schedule.amount` (number) The amount of each payment schedule item in the payment schedule. - `ar_transactions.payment.payment_schedule_items.payment_schedule.period` (any) Unit in which term duration is defined. One of week or month. Enum: "week", "month", "biweekly" - `ar_transactions.payment.payment_schedule_items.payment_schedule.billing_document` (object) The billing document with which the payment schedule is associated. Note: This field is optional. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `ar_transactions.payment.payment_schedule_items.payment_schedule.currency` (string) Currency of the payment schedule. Note: This field is optional. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD
[...]
